Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....

Headers

Idempotency-Key
string
required

Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.

Required string length: 1 - 200
Example:

"booking-create-20260714-001"

Path Parameters

eventTemplateId
string
required
Example:

"66f7b8b1e13c8d25f4d3d90a"

Body

application/json
name
description
sourceLanguage
enum<string>
Available options:
en,
nl
duration
string
Example:

"60"

durationType
string
Example:

"Minutes"

defaultLocationId
string | null

Optional default location. Send null to make or keep the template locationless.

color
string
Example:

"#105dfb"

groupSize
number
enforceGroupSizeLimit
boolean
isOnline
boolean
bookingOption
string
cancellationPolicy
string
waitingList
string
eventType
string
clientCalendarVisibilityMode
string
creditPerBooking
number
pricing
object

Response

200 - application/json

Event template updated

data
object
required
meta
object
required